%define version 2.5
%define release 2mdk
%define name ripperX

Summary: GTK program to rip CD audio and encode mp3s
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
Requires: cdparanoia libgtk+1.2
BuildRequires: libgtk+-devel
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-48.png.bz2
Source2: %{name}-32.png.bz2
Source3: %{name}-16.png.bz2
URL: http://sourceforge.net/projects/ripperx/
BuildRoot: %_tmppath/%{name}-buildroot
Docdir: %{_datadir}/doc

%description
GTK program to rip CD audio and encode mp3s. Supports parallel
ripping/encoding, has plugins for cdparanoia, BladeEnc, Lame, 
GoGo, FHG (l3enc and mp3enc), XingMp3enc, 8hz-mp3, and the 
ISO encoder.  Also has support for CDDB and ID3 tags.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Multimedia

%makeinstall

cp src/xpms/ripperX-icon.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp ripperX.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Multimedia

%makeinstall

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Multimedia/Sound" \
title="RipperX" longtitle="RipperX can rip audio cd's and encode them to mp3's"
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ README README.plugin README.plugin_spec_v0.1 README.plugin_tester TODO CHANGES COPYING BUGS
%_bindir/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/pixmaps/ripperX-icon.xpm
%{_datadir}/gnome/apps/Multimedia/ripperX.desktop

%changelog
* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5-2mdk
- rebuild

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Thu Sep 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- 2.4

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.3-2mdk
- BuildRequires
- png icons (out xpm!)
- update URL

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- 2.3

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- 2.2

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- added in contribs by Marcel Pol <mpol@gmx.net> :
	- Made rpm for Mandrake
	- Version 2.0 (Jan 09 2000)
	- Added menu-entry

* Mon Jan 03 2000 Dax Kelson <dax@gurulabs.com>
- Version 1.9
- Updated SPEC to use a $RPM_BUILD_ROOT, changelog, docs, and the strip binaries
- Created GNOME ".desktop" file so ripperX shows up on the menu
- Patch so cdparanoia fills files that are group writable, enabling shared directory ripping
